=== debian/changelog ===
sysbench (1.0.16-2) unstable; urgency=medium

  * Update to new upstream release SysBench 1.0.16-2

 -- ubuntu-cloud-user <akopytov@gmail.com>  Mon, 14 Jan 2019 05:39:28 -0500

sysbench (1.0.11-1) unstable; urgency=low

  * add Debian Stretch support by adding optional build dependency on
    default-libmysqlclient-dev and replacing python-minimal with python
    (as minimal does not provide the shlex module required by cram)

 -- Alexey Kopytov <akopytov@gmail.com>  Sat, 09 Dec 2017 19:52:23 +0300

sysbench (1.0.6-1) unstable; urgency=low

  * Add pkg-config, vim-common and python-minimal and libpq-dev to build dependencies.
  * Fix 'clean' target in rules.
  * Add ChangeLog and COPYING to docs.
  * Remove tests/db/*.lua from install.
  * Pass --without-gcc-arch to configure to not override compiler flags
    passed by the build system

 -- Alexey Kopytov <akopytov@gmail.com>  Thu, 13 Apr 2017 23:04:34 +0300

sysbench (1.0-1) unstable; urgency=low

  * Initial release

 -- Alexey Kopytov <akopytov@gmail.com>  Wed, 10 Aug 2016 18:04:53 +0300
