## sysbench 1.0.17

=== debian/changelog ===
sysbench (1.0.17-2) unstable; urgency=medium

  * Update to new upstream release SysBench 1.0.17-2

 -- ubuntu-cloud-user <akopytov@gmail.com>  Tue, 09 Apr 2019 12:07:19 -0400
