## sysbench 1.0.17+ds

=== debian/changelog ===
sysbench (1.0.17+ds-1) unstable; urgency=medium

  * New upstream release.
  * Control:
    + exclude armhf from the list of supported architectures for the
      time being. (Closes: #906982)
    + use debhelper-compat instead of debian/compat.
  * Bump compat level to 12 (from 11; no further changes).
  * Bump Standards-Version to 4.4.0 (from 4.1.5; no further changes).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sun, 18 Aug 2019 19:28:21 +0000
