=== debian/tests/control ===
Tests: upstream-testsuite
Depends: dpkg-dev, python-cram, sysbench
