=== debian/changelog ===
sysbench (1.0.18-6) unstable; urgency=medium

  * Update to new upstream release SysBench 1.0.18-6

 -- ubuntu-cloud-user <akopytov@gmail.com>  Tue, 05 Nov 2019 14:27:34 -0500
