=== debian/control ===
Source: sysbench
Section: misc
Priority: extra
Maintainer: Percona Development Team <mysql-dev@percona.com>
Build-Depends: debhelper, autoconf, automake, libaio-dev, libtool, libmysqlclient-dev | default-libmysqlclient-dev, libpq-dev, pkg-config, python
Standards-Version: 3.9.5
Homepage: https://github.com/akopytov/sysbench

Package: sysbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scriptable database and system performance benchmark
 sysbench is a scriptable multi-threaded benchmark tool based on
 LuaJIT. It is most frequently used for database benchmarks, but can also
 be used to create arbitrarily complex workloads that do not involve a
 database server.
 .
 sysbench comes with the following bundled benchmarks:
 .
 - oltp_*.lua: a collection of OLTP-like database benchmarks
 - fileio: a filesystem-level benchmark
 - cpu: a simple CPU benchmark
 - memory: a memory access benchmark
 - threads: a thread-based scheduler benchmark
 - mutex: a POSIX mutex benchmark

Package: sysbench-tpcc
Architecture: any
Pre-Depends: sysbench (>= 1.0.0)
Depends:  ${shlibs:Depends}, ${misc:Depends}
Description: TPCC tests files for sysbench
