## sysbench 1.0.18+ds

=== src/drivers/mysql/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
ADD_LIBRARY(sbmysql drv_mysql.c)
