=== debian/changelog ===
sysbench (1.0.18+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Add myself to uploaders for backports.

 -- Dominik George <natureshadow@debian.org>  Tue, 26 Nov 2019 11:09:00 +0100

sysbench (1.0.18+ds-1) unstable; urgency=medium

  * New upstream release.
  * Control:
    + switch Vcs fields to salsa.d.o.
    + replace build-dep on python-cram with python3-cram.
      (Closes: #943283)
  * Manpage: update to match current options. (Closes: #942369)
  * Copyright:
    + add upstream debian dir to Files-Excluded.
    + bump years for upstream and packaging.
  * Bump Standards-Version to 4.4.1 (from 4.4.0; no further changes).
  * Tests: switch upstream-test to python3-cram.
  * Patches: add 05_use_python3_version_of_cram.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 12 Nov 2019 19:44:04 +0000
