=== debian/control ===
Source: sysbench
Section: misc
Priority: optional
Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
Uploaders: Dominik George <natureshadow@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 default-libmysqlclient-dev,
 docbook-xml,
 docbook-xsl,
 libaio-dev [linux-any],
 libck-dev,
 libluajit-5.1-dev,
 libpq-dev,
 libssl-dev,
 pkg-config,
 python3-cram,
 txt2man,
 xsltproc
Standards-Version: 4.4.1
Homepage: https://github.com/akopytov/sysbench
Vcs-Git: https://salsa.debian.org/jcfp-guest/sysbench.git
Vcs-Browser: https://salsa.debian.org/jcfp-guest/sysbench

Package: sysbench
# exclude armhf; as a more convenient notation like !armhf isn't supported
# here (see #807264) that means listing everything else...
Architecture: any-alpha any-amd64 any-arm64 any-armeb arm armel any-avr32 any-hppa any-i386 any-ia64 any-m32r any-m68k any-mips any-mips64 any-mips64el any-mips64r6 any-mips64r6el any-mipsel any-mipsr6 any-mipsr6el any-nios2 any-or1k any-powerpc any-powerpcel any-ppc64 any-ppc64el any-riscv64 any-s390 any-s390x any-sh3 any-sh3eb any-sh4 any-sh4eb any-sparc any-sparc64 any-tilegx
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-threaded benchmark tool for database systems
 SysBench is a modular, scriptable and multi-threaded benchmark tool based on
 LuaJIT. It is most frequently used for database benchmarks, but can also be
 used to create arbitrarily complex workloads that do not involve a database
 server.
 .
 The idea of this benchmark suite is to quickly get an impression about system
 performance without setting up complex database benchmarks or even without
 installing a database at all.
 .
 Current features allow one to test the following system parameters:
 .
  * file I/O performance
  * scheduler performance
  * memory allocation and transfer speed
  * POSIX threads implementation performance
  * database server performance (OLTP benchmark)
 .
 Primarily written for MySQL server benchmarking, SysBench will be further
 extended to support multiple database backends, distributed benchmarks and
 third-party plug-in modules.
