=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sysbench-$1\.tar\.gz/ \
 https://github.com/akopytov/sysbench/tags .*/v?(\d\S*)\.tar\.gz
