=== debian/changelog ===
sysbench (1.0.19-6) unstable; urgency=medium

  * Update to new upstream release SysBench 1.0.19-6

 -- ubuntu-cloud-user <akopytov@gmail.com>  Mon, 09 Dec 2019 05:44:56 -0500

sysbench (1.0.18-1) unstable; urgency=low

  * add libssl-dev to build dependencies

 -- Alexey Kopytov <akopytov@gmail.com>  Sun, 08 Dec 2019 14:02:01 +0300
