## sysbench 1.0.20

=== debian/changelog ===
sysbench (1.0.20-6) unstable; urgency=medium

  * Update to new upstream release SysBench 1.0.20-6

 -- ubuntu-cloud-user <akopytov@gmail.com>  Fri, 08 May 2020 03:40:51 -0400
