=== debian/changelog ===
sysbench (1.0.20+ds-8) unstable; urgency=medium

  * Control: bump Standards-Version to 4.7.3 (from 4.7.0).
  * Control: set architecture restrictions to disable build on powerpc,
    ppc64 (libck broken on both), riscv64, and s390x (luajit too buggy).
    Closes: #1106676, #1125475
  * Watch: convert to v5.
  * Copyright: bump packaging years, replace old FSF address.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 15 Jan 2026 07:54:00 +0000

sysbench (1.0.20+ds-7) unstable; urgency=medium

  * Replace build-dep on libluajit2-5.1-dev with its equivalent provided
    by the libluajit without a "2". (Closes: #1072353)
  * Control: bump Standards-Version to 4.7.0 (from 4.6.2; no further
    changes).
  * Control: replace build-dep on pkg-config with pkgconf.

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 01 Jun 2024 16:03:11 +0000

sysbench (1.0.20+ds-6) unstable; urgency=medium

  * Remove restrictions on architecture, now that ppc64el has been
    excluded in libluajit2. (Closes: #1056377)
  * Control: bump Standards-Version to 4.6.2 (from 4.6.1; no further
    changes).
  * Lintian: modify override to match changes in output format.
  * Copyright: bump packaging years.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 13 Dec 2023 13:03:40 +0000

sysbench (1.0.20+ds-5) unstable; urgency=medium

  * Control: exclude ppc64el once more, as it turns out luajit2 is buggy
    on that platform as well (segfaults running the testsuite during
    build in this and other packages).
  * Control: bump Standards-Version to 4.6.1 (from 4.6.0; no further
    changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 18 Jun 2022 07:27:59 +0000

sysbench (1.0.20+ds-4) unstable; urgency=medium

  * Control: revert binary package to arch:any, replace build-dep on
    luajit with luajit2 which should be binary-compatible but does
    support ppc64el.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 09 Jun 2022 07:46:16 +0000

sysbench (1.0.20+ds-3) unstable; urgency=medium

  * Control: disable ppc64el because of problems with luajit on that
    arch. (Closes: #1011307)

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 24 May 2022 16:02:10 +0000

sysbench (1.0.20+ds-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Jeroen Ploemen ]
  * Use my debian.org email address for maintainer and copyright.
  * Rules: add a dh_auto_build override to prevent a false positive for
    a non-verbose build in blhc.
  * Control: set Rules-Requires-Root: no.
  * Upstream: add Repository fields to metadata.
  * Control: bump Standards-Version to 4.6.0 (from 4.5.0; no further
    changes).
  * Copyright: bump year for packaging.
  * Lintian: override very-long-line-length-in-source-file for
    README.md.

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 23 Oct 2021 06:29:30 +0000

sysbench (1.0.20+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0 (from 4.4.1; no further changes).
  * Bump compat level to 13 (from 12).
  * Rules: use execute_before instead of overriding dh_auto_build.
  * Copyright: bump years for upstream and packaging.
  * Patches: add 06 to prevent git commit hash from becoming part of the
    program's version string.
  * Control: restore support for building on armhf, tests no longer hang
    on that platform.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 05 Jun 2020 13:47:03 +0000
