=== debian/watch ===
Version: 5

Source: https://github.com/akopytov/sysbench/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
Dversionmangle: s/\+ds$//
Filenamemangle: s/.+\/v?(\d\S*)\.tar\.gz/sysbench-$1\.tar\.gz/
Repacksuffix: +ds
